package com.gamedog.vididin

import com.ama.core.architecture.BaseApp
import com.gamedog.statisticreporter.adjust.AdjustManager
import com.gamedog.statisticreporter.shushu.ShushuManager
import com.gamedog.vididin.core.login.login.AccountManager
import com.gamedog.vididin.manager.TaskManager
import dagger.hilt.android.HiltAndroidApp


@HiltAndroidApp
class VidiDinApp : BaseApp() {

    init {

    }

    override fun onCreate() {
        super.onCreate()
        initManagers()
    }

    private fun initManagers() {
        AccountManager.getAccount()
        TaskManager.instance().initNotificationData()
        TaskManager.instance()
        ShushuManager.instance().initShushu(VidiConst.SHUSHU_APP_ID, VidiConst.SHUSHU_SERVER_URL)
        AdjustManager.instance().initSdk(VidiConst.ADJUST_TOKEN)
    }
}